Subject: PAPR SCM support

From: Oliver O'Halloran <[email-masked]>
Date: Wed, 10 Oct 2018 17:08:10 +1100

This series adds support for the para-virtualised storage class memory
interface defined by the Power Architecture Platform Reference.

Patch 1 implements the pseries device discovery (via DT) and hotplug
support (via RTAS hotplug interrupt).

Patch 2 implements a driver that binds to the platform devices, does the
necessary H-calls to activate the region and configures the libnvdimm
interface. It also adds an NDCTL implementation to allow the "metadata"
space associated with an SCM region to be used as label space.

This should go in via the ppc tree, but an ack from Dan for patch two
would be appreciated.